<?php
error_reporting(true);

include('../conexao.php');

$sel = mysqli_query($con, "select * from tabela_digital_tv");

$sel_num_rows = mysqli_num_rows($sel);

$_UP['erros'][0] = 'Salvo com sucesso';
$_UP['erros'][1] = 'O arquivo é maior do que o limite de 2MB';
$_UP['erros'][2] = 'O arquivo ultrapassa o limite de tamanho especificado';
$_UP['erros'][3] = 'O upload foi feito parcialmente';
$_UP['erros'][4] = 'Não foi possível enviar o arquivo, tente novamente';
$_UP['erros'][5] = "Por favor, envie arquivos com as seguintes extensões: jpg, png ou gif";
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
    <meta http-equiv="Content-Type" content="text/html" />
    <meta charset="utf-8" />
    <title>SYSPAN - Gerenciador de Imagens</title>

    <!-- CSS -->
    <link href="style/css/transdmin.css" rel="stylesheet" type="text/css" media="screen" />
    <!--[if IE 6]><link rel="stylesheet" type="text/css" media="screen" href="style/css/ie6.css" /><![endif]-->
    <!--[if IE 7]><link rel="stylesheet" type="text/css" media="screen" href="style/css/ie7.css" /><![endif]-->

    <!-- JavaScripts-->
    <script type="text/javascript" src="style/js/jquery.js"></script>
    <script type="text/javascript" src="style/js/jNice.js"></script>
    <style>
        .ok {
            font-weight: bold;
            font-size: 1.2em;
            text-align: center;
            color: #090;
            margin: 20px 0px 15px;
        }

        .erro {
            font-weight: bold;
            font-size: 1.2em;
            text-align: center;
            color: #F00;
            margin: 20px 0px 15px;
        }
    </style>
</head>

<body>
    <div id="wrapper">
        <!-- h1 tag stays for the logo, you can use the a tag for linking the index page -->
        <p id="footer">&nbsp;</p>

        <div id="containerHolder">
            <div id="container">
                <div id="sidebar">
                    <div style="background-color:#000;width:auto;height:auto;"><img src="../css/images/logo/logo_syspan.png" alt="SYSPAN Informática" style="width:100%;"></div>
                    <?php
                    if ($sel_num_rows > 0) {

                        echo "<ul class=\"sideNav\">";
                        while ($ts = mysqli_fetch_array($sel)) {
                            mkdir("../images/" . $ts['id'] . "/", 0777, TRUE);
                            echo "<li><a href=\"/tv/images_tv/?tv=" . $ts['id'] . "\" style=\"font-weight:bold;\">" . $ts['titulo'] . "</a></li>";
                        }
                        echo "
                            <li>&nbsp;</li>
                            <li><a href=\"/tv\" class=\"active\">Voltar para TV</a></li>
                        </ul>";
                    } ?>
                    <!-- // .sideNav -->
                </div>
                <!-- // #sidebar -->

                <!-- h2 stays for breadcrumbs -->
                <h2><a href="#">Gerenciador de Imagens</a> &raquo; <a href="#" class="active"></a></h2>

                <div id="main">
                    <?php

                        if ($_GET[':'] == '')
                            $pg = "php/principal.php";
                        else {

                            $pg = "php/" . $_GET[':'] . ".php";
                        }

                        if (file_exists($pg))
                            include($pg);
                        else {
                            echo "Página não encontrada!";
                        }

                    ?>
                </div>
                <!-- // #main -->

                <div class="clear"></div>
            </div>
            <!-- // #container -->
        </div>
        <!-- // #containerHolder -->
        <p id="footer">&nbsp;</p>

    </div>
    <!-- // #wrapper -->
    <?

    if ($_GET['del'] == 'ok') {
        echo '<script>$("#resp").removeClass("erro").addClass("ok");$("#resp").html("Deletado com Sucesso");</script>';
    } else if ($_GET['del'] == 'erro') {
        echo '<script>$("#resp").removeClass("ok").addClass("erro");$("#resp").html("Erro ao deletar");</script>';
    }

    if ($_GET['ins'] == 'ok') {
        echo '<script>$("#resp").removeClass("erro").addClass("ok");$("#resp").html("Inserido com Sucesso");</script>';
    }

    if ($_GET['erro'] != '') {
        echo '<script>$("#resp").removeClass("ok").addClass("erro");$("#resp").html("Erro: ' + $_UP['erros'][$_GET['erro']] + ' ");</script>';
    }

    ?>
</body>

</html>